package com.mayi.demo.view;

import android.os.Bundle;
import android.view.View;
import android.widget.EditText;


import com.mayi.demo.R;
import com.mayi.fastdevelop.base.BaseActivity;

public class TestListLazyLoadingActivity extends BaseActivity {

    private EditText et, et2;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.test_1);
        et = findViewById(R.id.et1);
        et2 = findViewById(R.id.et2);
        findViewById(R.id.bt).setOnClickListener(this);
        findViewById(R.id.bt1).setOnClickListener(this);
    }

    @Override
    protected void onMultiClick(View v) {
        Bundle bundle = new Bundle();
        String s = et.getText().toString();
        int i = Integer.valueOf(s);
        bundle.putInt("addItemCount", i);
        s = et2.getText().toString();
        i = Integer.valueOf(s);
        bundle.putInt("maxItemCount", i);
        if (v.getId() == R.id.bt) {
            gotoActivity(ListLazyLoadingActivity.class, bundle);
        } else if (v.getId() == R.id.bt1) {
            gotoActivity(ListLazyLoadingActivity2.class, bundle);
        }
    }
}
